<div class="mt-0">
    <div class="title mb-2">
        <h3>
          {{'humanresources.businessTrip' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
              <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
            <div class="d-flex align-items-center me-2">
                        <span class="me-2" aria-readonly="true">{{'humanresources.filter' | translate}}</span>
                        <select class="form-select me-3" aria-label="Дате" (change)="filterDate($event)">
                            <option value="" selected>{{'humanresources.date' | translate}}</option>
                            <option value="today">На сегодня</option>
                            <option value="week">За неделю</option>
                            <option value="month">За месяц</option>
                            <option value="year">За год</option>
                        </select>
                <button *ngIf="authService.isHumanResource || authService.isChairman || authService.isAdmin" (click)="newVacation(vac)" class="btn btn-outline-dark d-flex">
                    <i class="bi bi-plus-lg me-2"></i>{{'humanresources.design' | translate}}</button>
            </div>
        </div>
    </div>
    <div class="border rounded" *ngIf="userList?.items.length !== 0">
        <table class="table table-striped">
            <thead>
                <tr class="text-center">
                    <th scope="col">№</th>
                    <th scope="col">{{'humanresources.fullname' | translate}}<a (click)="sortAz('firstName')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.place' | translate}}<a (click)="sortAz('destination')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.dateAssign' | translate}}<a (click)="sortAz('creationDate')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.tableStatus' | translate}}<a (click)="sortAz('creationDate')"><i class="bi bi-sort-alpha-down"></i></a></th>
                </tr>
            </thead>

            <tbody>
                <tr *ngFor="let item of userList?.items; let i = index" role="button" (click)="onDetail(item.applicationId)">
                    <td>{{i + 1}}</td>
                    <td>
                        <span class="text-wrap" *ngFor="let i of item?.user; let last = last">{{getFullName(i)}} <span *ngIf="!last"> , </span></span>
                    </td>
                    <td>{{item?.destination}}</td>
                    <td>{{item?.creationDate | date: 'dd.MM.yyyy'}}</td>
                    <td><div class="status ">{{item?.applicationStatus}}</div></td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination [collectionSize]="userList?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
</div>
<app-empty-list *ngIf="userList?.items.length === 0"></app-empty-list>

<ng-template let-modal #vac>
     <div class="card">
        <div class="card-header">
            {{'humanresources.businessTrip' | translate}}
        </div>
        <div class="card-body">
            <form [formGroup]="form" (ngSubmit)="submit()">
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.place' | translate}}</label>
                    <input type="text" class="form-control" formControlName="destination">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.target' | translate}}</label>
                    <input type="text" class="form-control" formControlName="purpose">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.individual' | translate}}</label>
                    <select class="form-select" formControlName="userLogins" multiple>
                        <option [value]="user?.iin" *ngFor="let user of employees?.items">{{getFullName(user)}}</option>
                    </select>
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.startDate' | translate}}</label>
                    <input type="date" class="form-control" formControlName="startDate">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.endDate' | translate}}</label>
                    <input type="date" class="form-control" formControlName="finishDate">
                </div>
                <!-- <div class="mb-2">
                    <label class="form-label">Количество дней</label>
                    <input type="number" class="form-control" formControlName="period">
                </div> -->
                <div class="row mx-auto">
                <button type="submit" class="btn btn-dark">{{'humanresources.design' | translate}}</button>
                </div>
            </form>
        </div>
     </div>
</ng-template>
